<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:19 CEST 2020 -->
<title>C-Index</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayErrorCode</span></a> - Enum in <a href="../com/myclay/claysdk/api/error/package-summary.html">com.myclay.claysdk.api.error</a></dt>
<dd>
<div class="block">A list of all the possible error codes a ClayException can have</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayErrorCode.html#ClayErrorCode-int-">ClayErrorCode(int)</a></span> - Constructor for enum com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayErrorMessage</span></a> - Class in <a href="../com/myclay/claysdk/api/error/package-summary.html">com.myclay.claysdk.api.error</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayErrorMessage.html#ClayErrorMessage--">ClayErrorMessage()</a></span> - Constructor for class com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error">ClayErrorMessage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayException</span></a> - Exception in <a href="../com/myclay/claysdk/api/error/package-summary.html">com.myclay.claysdk.api.error</a></dt>
<dd>
<div class="block">The model class for the exceptions thrown by the library</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.html#ClayException-com.myclay.claysdk.api.error.ClayErrorCode-">ClayException(ClayErrorCode)</a></span> - Constructor for exception com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a></dt>
<dd>
<div class="block">Creates a new ClayException using the error code supplied as a parameter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.html#ClayException-com.saltosystems.justinmobile.sdk.exceptions.JustinException-">ClayException(JustinException)</a></span> - Constructor for exception com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a></dt>
<dd>
<div class="block">Creates a new ClayException based on a SaltoException</div>
</dd>
<dt><a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayException.ErrorCodes</span></a> - Class in <a href="../com/myclay/claysdk/api/error/package-summary.html">com.myclay.claysdk.api.error</a></dt>
<dd>
<div class="block">The possible error codes returned by the library</div>
</dd>
<dt><a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore"><span class="typeNameLink">ClayKeystoreWrapper</span></a> - Class in <a href="../com/myclay/claysdk/internal/keystore/package-summary.html">com.myclay.claysdk.internal.keystore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#ClayKeystoreWrapper-android.content.Context-">ClayKeystoreWrapper(Context)</a></span> - Constructor for class com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore">ClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/api/ClaySDK.html" title="class in com.myclay.claysdk.api"><span class="typeNameLink">ClaySDK</span></a> - Class in <a href="../com/myclay/claysdk/api/package-summary.html">com.myclay.claysdk.api</a></dt>
<dd>
<div class="block">The point of entry in the library.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/ClaySDK.html#ClaySDK--">ClaySDK()</a></span> - Constructor for class com.myclay.claysdk.api.<a href="../com/myclay/claysdk/api/ClaySDK.html" title="class in com.myclay.claysdk.api">ClaySDK</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/ClaySDK.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ClaySDK</span></a> - Class in <a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/ClaySDK.html#ClaySDK-com.virgilsecurity.sdk.crypto.VirgilCrypto-com.saltosystems.justinmobile.sdk.ble.JustinBle-com.myclay.claysdk.internal.shared_preferences.ISharedPreferences-java.lang.String-java.lang.String-">ClaySDK(VirgilCrypto, JustinBle, ISharedPreferences, String, String)</a></span> - Constructor for class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/ClaySDK.html" title="class in com.myclay.claysdk.internal">ClaySDK</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/ClaySDKLog.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ClaySDKLog</span></a> - Class in <a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/ClaySDKLog.html#ClaySDKLog--">ClaySDKLog()</a></span> - Constructor for class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/ClaySDKLog.html" title="class in com.myclay.claysdk.internal">ClaySDKLog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#COARSE_LOCATION_NOT_ENABLED_ERROR">COARSE_LOCATION_NOT_ENABLED_ERROR</a></span> - Static variable in class com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" title="class in com.myclay.claysdk.api.error">ClayException.ErrorCodes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#COARSE_LOCATION_PERMISSION_DENIED_ERROR">COARSE_LOCATION_PERMISSION_DENIED_ERROR</a></span> - Static variable in class com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" title="class in com.myclay.claysdk.api.error">ClayException.ErrorCodes</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/api/package-summary.html">com.myclay.claysdk.api</a> - package com.myclay.claysdk.api</dt>
<dd>
<div class="block">This package contains the public API of the library</div>
</dd>
<dt><a href="../com/myclay/claysdk/api/error/package-summary.html">com.myclay.claysdk.api.error</a> - package com.myclay.claysdk.api.error</dt>
<dd>
<div class="block">This package contains the items related to the exceptions thrown by the sdk</div>
</dd>
<dt><a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a> - package com.myclay.claysdk.internal</dt>
<dd>
<div class="block">This package contains the internal implementation of the sdk</div>
</dd>
<dt><a href="../com/myclay/claysdk/internal/keystore/package-summary.html">com.myclay.claysdk.internal.keystore</a> - package com.myclay.claysdk.internal.keystore</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/shared_preferences/package-summary.html">com.myclay.claysdk.internal.shared_preferences</a> - package com.myclay.claysdk.internal.shared_preferences</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Config</span></a> - Class in <a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/Config.html#Config--">Config()</a></span> - Constructor for class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/Config.Keystore.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Config.Keystore</span></a> - Class in <a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#CONNECTION_GENERAL_ERROR">CONNECTION_GENERAL_ERROR</a></span> - Static variable in class com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" title="class in com.myclay.claysdk.api.error">ClayException.ErrorCodes</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/myclay/claysdk/internal/ConstantsHolderClass.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ConstantsHolderClass</span></a> - Class in <a href="../com/myclay/claysdk/internal/package-summary.html">com.myclay.claysdk.internal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/ConstantsHolderClass.html#ConstantsHolderClass--">ConstantsHolderClass()</a></span> - Constructor for class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/ConstantsHolderClass.html" title="class in com.myclay.claysdk.internal">ConstantsHolderClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/Config.html#CUSTOM_PARAM_KEY_SIGNATURE">CUSTOM_PARAM_KEY_SIGNATURE</a></span> - Static variable in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
